%define oname xapian
%define major 22
%define libname %mklibname %{oname} %{major}
%define develname %mklibname %{oname} -d
%define develnamestatic %mklibname %{oname} -d -s

Summary:	Search engine library
Name:		xapian-core
Version:	1.2.10
Release:	2
License:	GPLv2+
Group:		Databases
URL:		http://www.xapian.org/
Source0:	http://www.oligarchy.co.uk/xapian/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	zlib-devel
BuildRequires:	valgrind
%ifarch x86_64
BuildRequires:	chrpath
%endif
BuildRequires:	libuuid-devel
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	xapian < 1.0.7
Provides:	xapian

%description
Xapian is an Open Source Search Engine Library, released under the 
GPL. It's written in C++, with bindings to allow use from Perl, 
Python, PHP, Java, Tcl, C#, and Ruby (so far!)

Xapian is a highly adaptable toolkit which allows developers to easily
add advanced indexing and search facilities to their own applications. 
It supports the Probabilistic Information Retrieval model and also 
supports a rich set of boolean query operators.

%package -n %{libname}
Summary:	Shared library for %{name}
Group:		System/Libraries
Obsoletes:	%{mklibname %{oname} 15} < 1.2.2

%description -n %{libname}
Shared library for %{name}.

%package  -n %{develname}
Summary:	Development files for %{name}
Group:		Development/Other
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{oname}-devel = %{version}-%{release}
Provides:	lib%{oname}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
Development files and headers for %{name}.

%package  -n %{develnamestatic}
Summary:	Development files for %{name}
Group:		Development/Other
Provides:	%{name}-devel-static = %{version}-%{release}
Provides:	lib%{name}-devel-static = %{version}-%{release}
Provides:	%{oname}-devel-static = %{version}-%{release}
Provides:	lib%{oname}-devel-static = %{version}-%{release}
Requires:	%{name}-devel = %{version}-%{release}

%description -n %{develnamestatic}
Development static files and headers for %{name}.

%prep
%setup -q

%build
%configure2_5x \
%ifarch x86_64
	--enable-sse \
%else
	--disable-sse \
%endif
	--enable-shared

%make

%install
%makeinstall_std
%ifarch x86_64
chrpath -d %{buildroot}%{_bindir}/copydatabase
chrpath -d %{buildroot}%{_bindir}/delve
chrpath -d %{buildroot}%{_bindir}/quest
chrpath -d %{buildroot}%{_bindir}/simpleexpand
chrpath -d %{buildroot}%{_bindir}/simpleindex
chrpath -d %{buildroot}%{_bindir}/simplesearch
chrpath -d %{buildroot}%{_bindir}/xapian-compact
chrpath -d %{buildroot}%{_bindir}/xapian-progsrv
chrpath -d %{buildroot}%{_bindir}/xapian-tcpsrv
chrpath -d %{buildroot}%{_bindir}/xapian-check
chrpath -d %{buildroot}%{_bindir}/xapian-inspect
chrpath -d %{buildroot}%{_bindir}/xapian-replicate-server
chrpath -d %{buildroot}%{_bindir}/xapian-chert-update
chrpath -d %{buildroot}%{_bindir}/xapian-metadata
chrpath -d %{buildroot}%{_bindir}/xapian-replicate
%endif

%files
%{_bindir}/copydatabase
%{_bindir}/delve
%{_bindir}/quest
%{_bindir}/simpleexpand
%{_bindir}/simpleindex
%{_bindir}/simplesearch
%{_bindir}/xapian-*
%exclude %{_bindir}/xapian-config
%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/libxapian.so.%{major}*

%files -n %{develname}
%doc %{_docdir}/%{name}/
%dir %{_includedir}/xapian
%{_bindir}/xapian-config
%{_includedir}/xapian/*.h
%{_includedir}/*.h
%{_datadir}/aclocal/xapian.m4
%{_libdir}/libxapian.so
%{_libdir}/cmake/xapian/*.cmake

%files -n %{develnamestatic}
%{_libdir}/libxapian.a


%changelog
* Mon Jun 25 2012 Andrey Bondrov <abondrov@mandriva.org> 1.2.10-2
+ Revision: 806856
- Move xapian-config to devel package

* Fri May 11 2012 Alexander Khrukin <akhrukin@mandriva.org> 1.2.10-1
+ Revision: 798233
- version update 1.2.10

* Wed Nov 09 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2.7-1
+ Revision: 729491
- update to new version 1.2.7

* Sat Apr 16 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2.5-1
+ Revision: 653467
- update to new version 1.2.5

* Sat Feb 12 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2.4-1
+ Revision: 637385
- update to new version 1.2.4

* Sun Aug 29 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2.3-1mdv2011.0
+ Revision: 574184
- update to new version 1.2.3

* Wed Jul 21 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2.2-1mdv2011.0
+ Revision: 556566
- add buildrequires on libuuid-devel
- update to new version 1.2.2
- bump major to 22
- update file list

* Mon Apr 26 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.19-1mdv2010.1
+ Revision: 539181
- update to new version 1.0.19

* Sat Mar 13 2010 Funda Wang <fwang@mandriva.org> 1.0.18-1mdv2010.1
+ Revision: 518689
- new version 1.0.18

* Sun Nov 22 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.17-1mdv2010.1
+ Revision: 469099
- update to new version 1.0.17

* Sat Sep 12 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.16-1mdv2010.0
+ Revision: 438559
- update to new version 1.0.16

* Sun Aug 30 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.15-2mdv2010.0
+ Revision: 422665
- remove wrong obsoletes

* Sun Aug 30 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.15-1mdv2010.0
+ Revision: 422556
- update to new version 1.0.15

* Thu Jul 30 2009 Frederik Himpe <fhimpe@mandriva.org> 1.0.14-1mdv2010.0
+ Revision: 404727
- update to new version 1.0.14

* Fri Jun 19 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.13-1mdv2010.0
+ Revision: 387373
- update to new version 1.0.13

* Sat May 02 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.12-1mdv2010.0
+ Revision: 370695
- update to new version 1.0.12

* Fri May 01 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.11-1mdv2010.0
+ Revision: 369281
- update to new version 1.0.11

* Sun Dec 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.10-1mdv2009.1
+ Revision: 320441
- update to new version 1.0.10

* Mon Nov 03 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.9-2mdv2009.1
+ Revision: 299607
- fix group for library subpackage
- update to new version 1.0.9

* Thu Sep 04 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.8-1mdv2009.0
+ Revision: 280763
- update to new version 1.0.8

* Fri Jul 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.7-1mdv2009.0
+ Revision: 237850
- update to new version 1.0.7
- spec file clean

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Apr 16 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.6-1mdv2009.0
+ Revision: 194437
- new version

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 1.0.5-3mdv2008.1
+ Revision: 171180
- rebuild
- fix no-buildroot-tag

* Thu Dec 27 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.5-2mdv2008.1
+ Revision: 138514
- correct provides for devel subpackage

* Thu Dec 27 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.5-1mdv2008.1
+ Revision: 138487
- fix summary
- correct doc dir
- new version
- obsolete older name
- use upstream name

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Nov 06 2007 Funda Wang <fwang@mandriva.org> 1.0.4-2mdv2008.1
+ Revision: 106458
- rebuild for new lzma

* Tue Oct 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.4-1mdv2008.1
+ Revision: 103796
- new version

* Sat Oct 13 2007 Funda Wang <fwang@mandriva.org> 1.0.3-1mdv2008.1
+ Revision: 98101
- New version 1.0.3

  + Thierry Vignaud <tv@mandriva.org>
    - fix man pages extension

* Sun Jul 08 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.2-1mdv2008.0
+ Revision: 49834
- own missing file
- new version
- new devel library policy

* Thu Jun 14 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.1-1mdv2008.0
+ Revision: 39396
- bump major
- new version

* Tue May 22 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.0-2mdv2008.0
+ Revision: 29711
- devel package requires library

* Fri May 18 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.0-1mdv2008.0
+ Revision: 28298
- set buildrequires on zlib-devel
- remove not needed provides
- own missing file
- obsolete older release
- bump major
- new version

